unit newEntryUnit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, Buttons;

type

  { TNewEntryForm }

  TNewEntryForm = class(TForm)
    OkBitBtn: TBitBtn;
    CancelBitBtn: TBitBtn;
    EntryMemo: TMemo;
    Panel1: TPanel;
    procedure OkBitBtnClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    stuff : PChar;        {Holds the contents of EntryMemo}
  end; 

var
  NewEntryForm: TNewEntryForm;


implementation

{ TNewEntryForm }

{When the button is clicked the contents of EntryMemo are copied into 'stuff'
ready to be accessed by the calling procedure from MainForm}
procedure TNewEntryForm.OkBitBtnClick(Sender: TObject);
var
   Len : Integer;
begin
   Len := EntryMemo.GetTextLen + 1;
   stuff := StrAlloc(Len + 1);
   EntryMemo.GetTextBuf(stuff, Len);
end;

initialization
  {$I newentryunit.lrs}

end.

